Bug 416318 - As soon as I click on a certain line in the Message list Kmail crashes in a flash - every time!
Summary: As soon as I click on a certain line in the Message list Kmail crashes in a f...
Status: RESOLVED DUPLICATE of bug 409001
Alias: None
Product: kmail2
Classification: Applications
Component: message list (show other bugs)
Version: 5.10.3
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-16 02:04 UTC by Ruth
Modified: 2020-04-15 10:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
attachment-23467-0.html (1.74 KB, text/html)
2020-01-16 17:33 UTC, Ruth
Details
attachment-29079-0.html (1.93 KB, text/html)
2020-01-17 22:54 UTC, Ruth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruth 2020-01-16 02:04:37 UTC
SUMMARY
some months ago (2019) this happened and I finally just avoided touching that one message line. It came to the top and I just worked around it. Finally I re-installed my system, openSUSE LEAP 15.1, and the problem was gone. I set up my 2  dozen emails and all was fine until tonight. A different email with an attachment came in, as soon as I click on it, KMail vanishes! over and over again! I really hope I don't have to reinstall my whole system to clear this up!

STEPS TO REPRODUCE
1. Just click on that one email with a newsletter attachment.
2. The whole KMail program closes too fast to click on any Report Bug link.
3. 

OBSERVED RESULT
KMail crashes instantly

EXPECTED RESULT
I see and read the email, and the attached newsletter.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: KDE Email Client
Copyright © 1997–2018, KMail authors
http://userbase.kde.org/KMail
(available in About System)
KDE Plasma Version: KDE Frameworks 5.55.0     
       The xcb windowing system
KDE Frameworks Version: 5.55.0
Qt Version: 5.9.7 (built against 5.9.7)

ADDITIONAL INFORMATION
I would be grateful to know how to delete the culprit email.
Comment 1 Laurent Montel 2020-01-16 05:51:20 UTC
Hi,
Could you paste backtrace ?
Regards
Comment 2 Ruth 2020-01-16 17:33:54 UTC
Created attachment 125175 [details]
attachment-23467-0.html

ahm... I am a little naive when it comes to these technical things. In the past there was a notice inviting a backtrace, but since this crash happens so quickly, I'm not sure how I would get a backtrace.



Is that something I have to do at commandline? That's my weak spot. But if you tell me what to do, I'm willing to try.



Thanks,

Ruth





---- On Wed, 15 Jan 2020 23:51:20 -0600 Laurent Montel <bugzilla_noreply@kde.org> wrote ----


https://bugs.kde.org/show_bug.cgi?id=416318 
 
Laurent Montel <mailto:montel@kde.org> changed: 
 
 What    |Removed                     |Added 
---------------------------------------------------------------------------- 
 CC|                            |mailto:montel@kde.org 
 
--- Comment #1 from Laurent Montel <mailto:montel@kde.org> --- 
Hi, 
Could you paste backtrace ? 
Regards
Comment 3 Ruth 2020-01-16 22:06:51 UTC
I was asked for a back trace, and just now when Kmail crashed, I did get a popup offering me a backtrace. It said it was not of any help, but I'll paste it here in case it tells you anything.

Application: KMail (kmail), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f2e13a67980 (LWP 1860))]

Thread 28 (Thread 0x7f2cdd724700 (LWP 6987)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa65dc45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa65e127 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa65eec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7f2cea32e700 (LWP 6980)):
#0  0x00007f2df3f154b0 in pa_mainloop_dispatch () from /usr/lib64/libpulse.so.0
#1  0x00007f2df3f158be in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#2  0x00007f2df3f15940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#3  0x00007f2df3f237a9 in ?? () from /usr/lib64/libpulse.so.0
#4  0x00007f2dec255428 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#5  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7f2d767cc700 (LWP 6956)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa65dc45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa65e127 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa65eec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7f2daa7fc700 (LWP 6953)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2df62c9574 in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007f2df62c95b9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7f2daaffd700 (LWP 6950)):
#0  0x00007f2e10ad4c98 in read () from /lib64/libc.so.6
#1  0x00007f2e041dcc80 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2e04197cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e04198150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#8  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7f2d7affd700 (LWP 2150)):
#0  0x00007f2e10af0b5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f2e10af28b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f2df1d80ffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f2df1d81194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f2df1d82abc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f2df1d78764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f2dfa62eb2d in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#12 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7f2d7b7fe700 (LWP 2149)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7f2d8bfff700 (LWP 2148)):
#0  0x00007f2e10ad4c98 in read () from /lib64/libc.so.6
#1  0x00007f2dec226701 in pa_read () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#2  0x00007f2df3f14e0e in pa_mainloop_prepare () from /usr/lib64/libpulse.so.0
#3  0x00007f2df3f15880 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
#4  0x00007f2df3f15940 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
#5  0x00007f2df3f237a9 in ?? () from /usr/lib64/libpulse.so.0
#6  0x00007f2dec255428 in ?? () from /usr/lib64/pulseaudio/libpulsecommon-11.1.so
#7  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7f2d90ff9700 (LWP 2147)):
#0  0x00007f2e06057bdb in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa68c962 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa65361e in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e54b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7f2d917fa700 (LWP 2146)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfaed26f0 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa65eec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#5  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7f2d91ffb700 (LWP 2145)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa65dc45 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa65e127 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa65eec1 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7f2d927fc700 (LWP 2144)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7f2d92ffd700 (LWP 2143)):
#0  0x00007f2e10a6a102 in _IO_str_init_static_internal () from /lib64/libc.so.6
#1  0x00007f2e10af259b in __vsnprintf_chk () from /lib64/libc.so.6
#2  0x00007f2df1d7da03 in evutil_vsnprintf () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f2df1d7da9f in evutil_snprintf () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f2df1d80fac in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f2df1d81194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f2df1d82abc in ?? () from /usr/lib64/libevent-2.1.so.6
#7  0x00007f2df1d78764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#8  0x00007f2dfa62ec13 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f2df9ee08d8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f2df9ee0e8b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#16 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7f2d937fe700 (LWP 2142)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2df9ee0828 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2df9ee0e7b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7f2d93fff700 (LWP 2141)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2df9ee0778 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2df9ee0e6b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7f2da8ff9700 (LWP 2140)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2df9ee06c8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2df9ee0e5b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f2da97fa700 (LWP 2139)):
#0  0x00007f2e10af0b5c in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007f2e10af28b4 in __fprintf_chk () from /lib64/libc.so.6
#2  0x00007f2df1d80ffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#3  0x00007f2df1d81194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#4  0x00007f2df1d82abc in ?? () from /usr/lib64/libevent-2.1.so.6
#5  0x00007f2df1d78764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#6  0x00007f2dfa62ead9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2df9ee0618 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2df9ee0e4b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#11 0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#14 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f2da9ffb700 (LWP 2138)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2df9ee0568 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2df9ee0e3b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2dfa65f538 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#9  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#10 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f2dab7fe700 (LWP 2135)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dfa653699 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#2  0x00007f2dfa6536c7 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#3  0x00007f2dfa62e4fb in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#4  0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#5  0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#6  0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#7  0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#8  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#9  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f2dabfff700 (LWP 2134)):
#0  0x00007f2e10ad4d3b in write () from /lib64/libc.so.6
#1  0x00007f2e10a6621d in _IO_file_write@@GLIBC_2.2.5 () from /lib64/libc.so.6
#2  0x00007f2e10a654ff in new_do_write () from /lib64/libc.so.6
#3  0x00007f2e10a669de in __GI__IO_file_xsputn () from /lib64/libc.so.6
#4  0x00007f2e10a3c95b in buffered_vfprintf () from /lib64/libc.so.6
#5  0x00007f2e10a39bce in vfprintf () from /lib64/libc.so.6
#6  0x00007f2e10af2906 in __fprintf_chk () from /lib64/libc.so.6
#7  0x00007f2df1d80ffd in event_logv_ () from /usr/lib64/libevent-2.1.so.6
#8  0x00007f2df1d81194 in event_warn () from /usr/lib64/libevent-2.1.so.6
#9  0x00007f2df1d82abc in ?? () from /usr/lib64/libevent-2.1.so.6
#10 0x00007f2df1d78764 in event_base_loop () from /usr/lib64/libevent-2.1.so.6
#11 0x00007f2dfa62ead9 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#12 0x00007f2dfa62adc8 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#13 0x00007f2dfa64785b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#14 0x00007f2dfa65f486 in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#15 0x00007f2dfa65b55b in ?? () from /usr/lib64/libQt5WebEngineCore.so.5
#16 0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f2dbadbb700 (LWP 2073)):
#0  0x00007f2e111de51c in QMutex::lock() () from /usr/lib64/libQt5Core.so.5
#1  0x00007f2e1141ed7b in ?? () from /usr/lib64/libQt5Core.so.5
#2  0x00007f2e04197bd9 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e04198150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#8  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f2dd0d27700 (LWP 1965)):
#0  0x00007f2e10ad919b in poll () from /lib64/libc.so.6
#1  0x00007f2e041981a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f2dd1528700 (LWP 1962)):
#0  0x00007f2e10ad919b in poll () from /lib64/libc.so.6
#1  0x00007f2e041981a9 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#4  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f2dd1d29700 (LWP 1961)):
#0  0x00007f2e10ad4c98 in read () from /lib64/libc.so.6
#1  0x00007f2e041dcc80 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2e04197cb8 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e04198150 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#8  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f2dd2f3a700 (LWP 1947)):
#0  0x00007f2e041ddfb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f2e04197902 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f2e04198127 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f2e1141e96b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#5  0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#6  0x00007f2e111e1daa in QThread::exec() () from /usr/lib64/libQt5Core.so.5
#7  0x00007f2e0f7e79e5 in ?? () from /usr/lib64/libQt5DBus.so.5
#8  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#9  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f2dd964c700 (LWP 1946)):
#0  0x00007f2e060578ad in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f2dda2f29ab in ?? () from /usr/lib64/dri/i965_dri.so
#2  0x00007f2dda2f26b7 in ?? () from /usr/lib64/dri/i965_dri.so
#3  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#4  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f2de1655700 (LWP 1945)):
#0  0x00007f2e10ad919b in poll () from /lib64/libc.so.6
#1  0x00007f2e035bc307 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007f2e035bdf3a in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007f2de3769939 in ?? () from /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f2e111e6ced in ?? () from /usr/lib64/libQt5Core.so.5
#5  0x00007f2e06051569 in start_thread () from /lib64/libpthread.so.0
#6  0x00007f2e10ae39ef in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f2e13a67980 (LWP 1860)):
[KCrash Handler]
#6  0x0000564ac151d770 in ?? ()
#7  0x00007f2d73ed3e6a in opj_destroy_codec () from /usr/lib64/libopenjp2.so.7
#8  0x00007f2d745794e4 in JPXStreamPrivate::init2(CODEC_FORMAT, unsigned char*, int, bool) () from /usr/lib64/libpoppler.so.73
#9  0x00007f2d74579969 in JPXStream::init() () from /usr/lib64/libpoppler.so.73
#10 0x00007f2d74579f2e in JPXStream::getImageParams(int*, StreamColorSpaceMode*) () from /usr/lib64/libpoppler.so.73
#11 0x00007f2d744ba92f in Gfx::doImage(Object*, Stream*, bool) () from /usr/lib64/libpoppler.so.73
#12 0x00007f2d744bc4bf in Gfx::opXObject(Object*, int) () from /usr/lib64/libpoppler.so.73
#13 0x00007f2d744b485f in Gfx::go(bool) () from /usr/lib64/libpoppler.so.73
#14 0x00007f2d744b4cab in Gfx::display(Object*, bool) () from /usr/lib64/libpoppler.so.73
#15 0x00007f2d74500ba1 in Page::displaySlice(OutputDev*, double, double, int, bool, bool, int, int, int, int, bool, bool (*)(void*), void*, bool (*)(Annot*, void*), void*, bool) () from /usr/lib64/libpoppler.so.73
#16 0x00007f2d74abbd06 in ?? () from /usr/lib64/libKPimItinerary.so.5
#17 0x00007f2d74abc06c in KItinerary::PdfPage::imageCount() const () from /usr/lib64/libKPimItinerary.so.5
#18 0x00007f2d74aa90ff in ?? () from /usr/lib64/libKPimItinerary.so.5
#19 0x00007f2d74a98ff3 in ?? () from /usr/lib64/libKPimItinerary.so.5
#20 0x00007f2d74a99285 in KItinerary::ExtractorEngine::extract() () from /usr/lib64/libKPimItinerary.so.5
#21 0x00007f2d74d6959b in ?? () from /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so
#22 0x00007f2e0bcb49a5 in MimeTreeParser::ObjectTreeParser::processType(KMime::Content*, MimeTreeParser::ProcessResult&, QByteArray const&) () from /usr/lib64/libKF5MimeTreeParser.so.5
#23 0x00007f2e0bcb53cd in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal(KMime::Content*, bool) () from /usr/lib64/libKF5MimeTreeParser.so.5
#24 0x00007f2e0bcba13b in MimeTreeParser::MessagePart::parseInternal(KMime::Content*, bool) () from /usr/lib64/libKF5MimeTreeParser.so.5
#25 0x00007f2e0bcba2b1 in MimeTreeParser::MimeMessagePart::MimeMessagePart(MimeTreeParser::ObjectTreeParser*, KMime::Content*, bool) () from /usr/lib64/libKF5MimeTreeParser.so.5
#26 0x00007f2d74f9253e in ?? () from /usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_application_gnupgwks.so
#27 0x00007f2e0bcb49a5 in MimeTreeParser::ObjectTreeParser::processType(KMime::Content*, MimeTreeParser::ProcessResult&, QByteArray const&) () from /usr/lib64/libKF5MimeTreeParser.so.5
#28 0x00007f2e0bcb53cd in MimeTreeParser::ObjectTreeParser::parseObjectTreeInternal(KMime::Content*, bool) () from /usr/lib64/libKF5MimeTreeParser.so.5
#29 0x00007f2e0bcb56cf in MimeTreeParser::ObjectTreeParser::parseObjectTree(KMime::Content*, bool) () from /usr/lib64/libKF5MimeTreeParser.so.5
#30 0x00007f2e0d859422 in ?? () from /usr/lib64/libKF5MessageViewer.so.5
#31 0x00007f2e0d859965 in ?? () from /usr/lib64/libKF5MessageViewer.so.5
#32 0x00007f2e0d85a2d2 in ?? () from /usr/lib64/libKF5MessageViewer.so.5
#33 0x00007f2e113f464f in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
#34 0x00007f2e11401087 in QTimer::timeout(QTimer::QPrivateSignal) () from /usr/lib64/libQt5Core.so.5
#35 0x00007f2e114013e8 in QTimer::timerEvent(QTimerEvent*) () from /usr/lib64/libQt5Core.so.5
#36 0x00007f2e113f505b in QObject::event(QEvent*) () from /usr/lib64/libQt5Core.so.5
#37 0x00007f2e1216f3dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#38 0x00007f2e12176ca4 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
#39 0x00007f2e113c58d8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
#40 0x00007f2e1141ddee in QTimerInfoList::activateTimers() () from /usr/lib64/libQt5Core.so.5
#41 0x00007f2e1141e5b1 in ?? () from /usr/lib64/libQt5Core.so.5
#42 0x00007f2e04197e87 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#43 0x00007f2e04198230 in ?? () from /usr/lib64/libglib-2.0.so.0
#44 0x00007f2e041982bc in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#45 0x00007f2e1141e94f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#46 0x00007f2e113c390a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Core.so.5
#47 0x00007f2e113cc9b4 in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
#48 0x0000564abd3fdcab in ?? ()
#49 0x00007f2e10a0bf8a in __libc_start_main () from /lib64/libc.so.6
#50 0x0000564abd3fddda in _start ()
[Inferior 1 (process 1860) detached]
Comment 4 Laurent Montel 2020-01-17 05:57:49 UTC
You can remove this plugin
/usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so

=> it will not crash.

it was fixed in new version but for your version the better workaround is removing it.

Regards
Comment 5 Ruth 2020-01-17 22:54:32 UTC
Created attachment 125211 [details]
attachment-29079-0.html

Thank you, Laurent,

I've found that file, however I'm not able to delete it in Dolphin. Is that something I need to do at the command line? What is the exact command to give?

Oh, wait. I could try the Super User file manager because this is down in the root area.



I paused to try that and sure enough, I've been able to delete that plugin. Then I went into KMail, and it took two tries, but now I've been able to delete that email! 

Wonderful! Thanks ever so much!



I will save this information in case I ever need it again - hopefully not, eh?



Blessings & Thanks,

Ruth





---- On Thu, 16 Jan 2020 23:57:49 -0600 Laurent Montel <bugzilla_noreply@kde.org> wrote ----


https://bugs.kde.org/show_bug.cgi?id=416318 
 
--- Comment #4 from Laurent Montel <mailto:montel@kde.org> --- 
You can remove this plugin 
/usr/lib64/qt5/plugins/messageviewer/bodypartformatter/messageviewer_bodypartformatter_semantic.so 
 
=> it will not crash. 
 
it was fixed in new version but for your version the better workaround is 
removing it. 
 
Regards
Comment 6 Christoph Feck 2020-04-15 10:47:33 UTC

*** This bug has been marked as a duplicate of bug 409001 ***